package com.steering.mes.mcp.entity;

import java.io.Serializable;
/**
 * 数据库表VRP_COLDROLL_RESULT_D所对应的实体类（生成工具：代码生成器3.0）
 * @author shizhanlei-PC   date 2016-06-02
 */
@SuppressWarnings("serial")
public class VrpColdingDResult implements Serializable {
    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     */
    private String resultNo = "";
    /**
     * 外观检查主记录实绩编号
     */
    private String mResultNo = "";
    /**
     * 管体D1
     */
    private String tubeD1 = "";
    /**
     * 管体D1
     */
    private String tubeD2 = "";
    /**
     * 管体S1
     */
    private String tubeS1 = "";
    /**
     * 管体S2
     */
    private String tubeS2 = "";
    /**
     * 管体S3
     */
    private String tubeS3 = "";
    /**
     * 管体S4
     */
    private String tubeS4 = "";
    /**
     * 管端D1
     */
    private String endD1 = "";
    /**
     * 管端D2
     */
    private String endD2 = "";
    /**
     * 管端S1
     */
    private String endS1 = "";
    /**
     * 管端S2
     */
    private String endS2 = "";
    /**
     * 管端S3
     */
    private String endS3 = "";
    /**
     * 管端S4
     */
    private String endS4 = "";
    /**
     * L
     */
    private String chkL = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 修改人
     */
    private String updateName = "";

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @return value
     */
    public String getResultNo() {
        return resultNo;
    }

    /**
     * 实绩编号(机组+工序点代码+年月日+6位流水)
     * @param resultNo value
     */
    public void setResultNo(String resultNo) {
        this.resultNo = resultNo;
    }

    /**
     * 外观检查主记录实绩编号
     * @return value
     */
    public String getMResultNo() {
        return mResultNo;
    }

    /**
     * 外观检查主记录实绩编号
     * @param mResultNo value
     */
    public void setMResultNo(String mResultNo) {
        this.mResultNo = mResultNo;
    }

    /**
     * 管体D1
     * @return value
     */
    public String getTubeD1() {
        return tubeD1;
    }

    /**
     * 管体D1
     * @param tubeD1 value
     */
    public void setTubeD1(String tubeD1) {
        this.tubeD1 = tubeD1;
    }

    /**
     * 管体D1
     * @return value
     */
    public String getTubeD2() {
        return tubeD2;
    }

    /**
     * 管体D1
     * @param tubeD2 value
     */
    public void setTubeD2(String tubeD2) {
        this.tubeD2 = tubeD2;
    }

    /**
     * 管体S1
     * @return value
     */
    public String getTubeS1() {
        return tubeS1;
    }

    /**
     * 管体S1
     * @param tubeS1 value
     */
    public void setTubeS1(String tubeS1) {
        this.tubeS1 = tubeS1;
    }

    /**
     * 管体S2
     * @return value
     */
    public String getTubeS2() {
        return tubeS2;
    }

    /**
     * 管体S2
     * @param tubeS2 value
     */
    public void setTubeS2(String tubeS2) {
        this.tubeS2 = tubeS2;
    }

    /**
     * 管体S3
     * @return value
     */
    public String getTubeS3() {
        return tubeS3;
    }

    /**
     * 管体S3
     * @param tubeS3 value
     */
    public void setTubeS3(String tubeS3) {
        this.tubeS3 = tubeS3;
    }

    /**
     * 管体S4
     * @return value
     */
    public String getTubeS4() {
        return tubeS4;
    }

    /**
     * 管体S4
     * @param tubeS4 value
     */
    public void setTubeS4(String tubeS4) {
        this.tubeS4 = tubeS4;
    }

    /**
     * 管端D1
     * @return value
     */
    public String getEndD1() {
        return endD1;
    }

    /**
     * 管端D1
     * @param endD1 value
     */
    public void setEndD1(String endD1) {
        this.endD1 = endD1;
    }

    /**
     * 管端D2
     * @return value
     */
    public String getEndD2() {
        return endD2;
    }

    /**
     * 管端D2
     * @param endD2 value
     */
    public void setEndD2(String endD2) {
        this.endD2 = endD2;
    }

    /**
     * 管端S1
     * @return value
     */
    public String getEndS1() {
        return endS1;
    }

    /**
     * 管端S1
     * @param endS1 value
     */
    public void setEndS1(String endS1) {
        this.endS1 = endS1;
    }

    /**
     * 管端S2
     * @return value
     */
    public String getEndS2() {
        return endS2;
    }

    /**
     * 管端S2
     * @param endS2 value
     */
    public void setEndS2(String endS2) {
        this.endS2 = endS2;
    }

    /**
     * 管端S3
     * @return value
     */
    public String getEndS3() {
        return endS3;
    }

    /**
     * 管端S3
     * @param endS3 value
     */
    public void setEndS3(String endS3) {
        this.endS3 = endS3;
    }

    /**
     * 管端S4
     * @return value
     */
    public String getEndS4() {
        return endS4;
    }

    /**
     * 管端S4
     * @param endS4 value
     */
    public void setEndS4(String endS4) {
        this.endS4 = endS4;
    }

    /**
     * L
     * @return value
     */
    public String getChkL() {
        return chkL;
    }

    /**
     * L
     * @param chkL value
     */
    public void setChkL(String chkL) {
        this.chkL = chkL;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }
}
	


